// ------------------------------------------------------
// Protrekkr
// Based on Juan Antonio Arguelles Rius's NoiseTrekker.
//
// Copyright (C) 2008-2021 Franck Charlet.
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions
// are met:
//
//  1. Redistributions of source code must retain the above copyright notice,
//     this list of conditions and the following disclaimer.
//
//  2. Redistributions in binary form must reproduce the above copyright notice,
//     this list of conditions and the following disclaimer in the documentation
//     and/or other materials provided with the distribution.
//
// THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND
// ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
// ARE DISCLAIMED. IN NO EVENT SHALL FRANCK CHARLET OR CONTRIBUTORS BE LIABLE
// FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
// DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
// OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
// HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
// LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
// OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
// SUCH DAMAGE.
// ------------------------------------------------------

#ifndef _PTK_DEF_PROPERTIES_H_
#define _PTK_DEF_PROPERTIES_H_

// ------------------------------------------------------
// constants
#define PTK_USE_CUBIC
#define PTK_USE_SPLINE
#define PTK_303
#define PTK_FX_0
#define PTK_FX_X
#define PTK_VOLUME_COLUMN
#define PTK_FX_NOTECUT
#define PTK_FX_PITCHUP
#define PTK_FX_PITCHDOWN
#define PTK_FX_SETVOLUME
#define PTK_FX_TRANCESLICER
#define PTK_FX_TRANCEGLIDER
#define PTK_FX_PATTERNLOOP
#define PTK_FX_SETCUTOFF
#define PTK_FX_SETSAMPLEOFFSET
#define PTK_FX_SETRANDOMCUTOFF
#define PTK_FX_SLIDEUPCUTOFF
#define PTK_FX_SLIDEDOWNCUTOFF
#define PTK_FX_PATTERNBREAK
#define PTK_FX_NOTERETRIGGER
#define PTK_FX_SETBPM
#define PTK_FX_SETSPEED
#define PTK_FX_SENDTODELAYCOMMAND
#define PTK_FX_SENDTOREVERBCOMMAND
#define PTK_FX_SETDISTORTIONTHRESHOLD
#define PTK_FX_SETDISTORTIONCLAMP
#define PTK_FX_SETFILTERRESONANCE
#define PTK_FX_SETFILTERTYPE
#define PTK_FX_RESETFILTERLFO
#define PTK_FX_AUTOFADEIN
#define PTK_FX_AUTOFADEOUT
#define PTK_FX_AUTOFADEMODE
#define PTK_FX_VOLUMESLIDEUP
#define PTK_FX_VOLUMESLIDEDOWN
#define PTK_FX_SETGLOBALVOLUME
#define PTK_FX_ARPEGGIO
#define PTK_FX_VIBRATO
#define PTK_FX_REVERSE
#define PTK_FX_POSJUMP
#define PTK_FX_FINEVOLUMESLIDEUP
#define PTK_FX_FINEVOLUMESLIDEDOWN
#define PTK_FX_FINEPITCHUP
#define PTK_FX_FINEPITCHDOWN
#define PTK_FX_SWITCHFLANGER
#define PTK_FX_SETREVCUTO
#define PTK_FX_SETREVRESO
#define PTK_FX_TRACK_FILTER_LFO
#define PTK_FX_TICK0
#define PTK_INSTRUMENTS
#define PTK_LOOP_FORWARD
#define PTK_LOOP_PINGPONG
#define PTK_SYNTH
#define PTK_SYNTH_PHASE1
#define PTK_SYNTH_PHASE2
#define PTK_SYNTH_LFO1
#define PTK_SYNTH_LFO2
#define PTK_SYNTH_ENV1
#define PTK_SYNTH_ENV2
#define PTK_SYNTH_LFO1_PITCH
#define PTK_SYNTH_LFO2_PITCH
#define PTK_SYNTH_ENV1_PITCH
#define PTK_SYNTH_ENV2_PITCH
#define PTK_SYNTH_PITCH
#define PTK_SYNTH_DISTO
#define PTK_SYNTH_OSC2
#define PTK_SYNTH_OSC3
#define PTK_SYNTH_FILTER
#define PTK_SYNTH_FILTER_LO
#define PTK_SYNTH_FILTER_HI
#define PTK_SYNTH_FILTER_MOOG_LO
#define PTK_SYNTH_FILTER_MOOG_BAND
#define PTK_SYNTH_SIN
#define PTK_SYNTH_SAW
#define PTK_SYNTH_PULSE
#define PTK_SYNTH_WHITE
#define PTK_SYNTH_PINK
#define PTK_GSM
#define PTK_MP3
#define PTK_TRUESPEECH
#define PTK_AT3
#define PTK_ADPCM
#define PTK_8BIT
#define PTK_INTERNAL
#define PTK_LIMITER_MASTER
#define PTK_LIMITER_TRACKS
#define PTK_TRACKFILTERS
#define PTK_FILTER_LOHIBAND
#define PTK_FILTER_LO24
#define PTK_FILTER_LO48
#define PTK_FILTER_LP24
#define PTK_FILTER_AMODM
#define PTK_FILTER_AMODS
#define PTK_FILTER_SINGLEM
#define PTK_FILTER_SINGLES
#define PTK_FILTER_EQM15
#define PTK_FILTER_EQM6
#define PTK_FILTER_EQP6
#define PTK_FILTER_EQP15
#define PTK_FILTER_DELTA
#define PTK_FILTER_DISTL
#define PTK_FILTER_DISTM
#define PTK_FILTER_DISTH
#define PTK_FILTER_DIST
#define PTK_FILTER_HP12M
#define PTK_FILTER_HP12S
#define PTK_FILTER_HP24M
#define PTK_PROC_FILTER
#define PTK_PROC_FILTER2P
#define PTK_PROC_FILTER2P24D
#define PTK_PROC_FILTERRINGMOD
#define PTK_PROC_FILTERRINGMODSTEREO
#define PTK_PROC_FILTERWATER
#define PTK_PROC_FILTERWATERSTEREO
#define PTK_PROC_FILTERBELLSHAPED
#define PTK_PROC_FILTERDELTA
#define PTK_PROC_FILTERINT2P
#define PTK_PROC_FILTERHP
#define PTK_PROC_FILTERHP2
#define PTK_SHUFFLE
#define PTK_COMPRESSOR
#define PTK_LFO
#define PTK_FLANGER
#define PTK_DISCLAP
#define PTK_TRACK_VOLUME
#define PTK_TRACK_EQ

#endif
